Skip to navigation

Update a workspace template by ID. [Experimental]

View as Markdown
Update a workspace template by ID.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

templateIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the template.

Request

This endpoint expects an object.
metaobjectRequired
specobjectOptional

Response

Executed successfully.
metaobject
specobjectOptional
runnableobjectOptional
whether the template can be submitted, as is
combinedSpecobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error